Subject: Re: bug#48021: comp.el cannot be loaded without native compilation

From: Glenn Morris <[email-masked]>
Date: Tue, 27 Apr 2021 00:56:14 -0400

Andrea Corallo wrote:

>>> Thanks. comp-cstr-test-70 is still failing for me.
>>
>> Could you share the invocation you are using? I'm asking cause here on
>> 449045b2a6 I see this passing.

On CentOS 8.3 with gcc 8.3, I get:

Test comp-cstr-test-70 condition:
    (ert-test-failed
     ((should
       (equal
       (comp-cstr-test-ts ...)
       '...))
      :form
      (equal
       (not
       (member b a))
       (not
       (member a b)))

There is an identical failure on the very different system
https://hydra.nixos.org/build/142153876

> with 40c71e574a comp-cstr.el and comp.el are loadable for me also on
> vanilla builds, please have a look.

Works for me, thanks.